HP Linux Imaging and Printing

can't download hplip plugin for laserjet pro 1606dn

Asked by Roger Smith on 2011-09-19

system: acer aspire 5534 hp laserjet pro p1606dn
OS: ubuntu 11.04
ran hp-setup and got the following error msg.: Error: Plug-in file does not match its digital signature. File may be corrupted or altered. Error code: 2
ran hp-check: log as follows,
hp-check[20509]: info: :
Initializing. Please wait...
Ubuntu

11.04

scheduler is running

1.4.6

Linux roger-Aspire-5534 2.6.38-11-generic-pae #48-Ubuntu SMP Fri Jul 29 20:51:21 UTC 2011 i686 athlon i386 GNU/Linux

hp-check[20509]: info: :
hp-check[20509]: info: :---------------
hp-check[20509]: info: :| SYSTEM INFO |
hp-check[20509]: info: :---------------
hp-check[20509]: info: :
hp-check[20509]: info: :Basic system information:
hp-check[20509]: info: :Linux roger-Aspire-5534 2.6.38-11-generic-pae #48-Ubuntu SMP Fri Jul 29 20:51:21 UTC 2011 i686 athlon i386 GNU/Linux

hp-check[20509]: info: :
hp-check[20509]: info: :Distribution:
hp-check[20509]: info: :ubuntu 11.04
hp-check[20509]: info: :
hp-check[20509]: info: :Checking Python version...
hp-check[20509]: info: :OK, version 2.7.1 installed
hp-check[20509]: info: :
hp-check[20509]: info: :Checking PyQt 4.x version...
hp-check[20509]: info: :OK, version 4.8.3 installed.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for CUPS...
hp-check[20509]: info: :Status: scheduler is running
hp-check[20509]: info: :Version: 1.4.6
hp-check[20509]: info: :error_log is set to level: warn
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dbus/python-dbus...
hp-check[20509]: info: :dbus daemon is running.
hp-check[20509]: info: :python-dbus version: 0.83.1
hp-check[20509]: info: :
hp-check[20509]: info: :
hp-check[20509]: info: :------------------------------------
hp-check[20509]: info: :| COMPILE AND RUNTIME DEPENDENCIES |
hp-check[20509]: info: :------------------------------------
hp-check[20509]: info: :
note: To check for compile-time only dependencies, re-run hp-check with the -c parameter (ie, hp-check -c).
note: To check for run-time only dependencies, re-run hp-check with the -r parameter (ie, hp-check -r).
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: CUPS - Common Unix Printing System...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: CUPS devel- Common Unix Printing System development files...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: CUPS image - CUPS image development files...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: DBus - Message bus system...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: gcc - GNU Project C and C++ Compiler...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: libcrypto - OpenSSL cryptographic library...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: libjpeg - JPEG library...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: libnetsnmp-devel - SNMP networking library development files...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: libpthread - POSIX threads library...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: libtool - Library building support services...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: libusb - USB library...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: make - GNU make utility to maintain groups of programs...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: PolicyKit - Administrative policy framework...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: Python DBus - Python bindings for DBus...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: Python devel - Python development files...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: Python libnotify - Python bindings for the libnotify Desktop notifications...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: Python XML libraries...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: Python 2.3 or greater - Required for fax functionality...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: Python 2.2 or greater - Python programming language...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: Reportlab - PDF library for Python...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: SANE - Scanning library...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: SANE - Scanning library development files...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: scanimage - Shell scanning program...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for dependency: xsane - Graphical scanner frontend for SANE...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :
hp-check[20509]: info: :----------------------
hp-check[20509]: info: :| HPLIP INSTALLATION |
hp-check[20509]: info: :----------------------
hp-check[20509]: info: :
hp-check[20509]: info: :
hp-check[20509]: info: :Currently installed HPLIP version...
hp-check[20509]: info: :HPLIP 3.11.7 currently installed in '/usr/share/hplip'.
hp-check[20509]: info: :
hp-check[20509]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[20509]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.11.7

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.11.7
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.11.7
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
hpijs-only-build=no
lite-build=no
udev-acl-rules=yes
hpcups-only-build=no
hpijs-only-build=no

hp-check[20509]: info: :
hp-check[20509]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[20509]: info: :# hplip.state - HPLIP runtime persistent variables.

[plugin]
installed=0
eula=0

hp-check[20509]: info: :
hp-check[20509]: info: :Current contents of '~/.hplip/hplip.conf' file:
hp-check[20509]: info: :[last_used]
device_uri = hp:/usb/HP_LaserJet_Professional_P1606dn?serial=000000000QQ0JG81PR1a

[installation]
date_time = 09/19/2011 07:15:36
version = 3.11.7

hp-check[20509]: info: :
hp-check[20509]: info: :--------------------------
hp-check[20509]: info: :| DISCOVERED USB DEVICES |
hp-check[20509]: info: :--------------------------
hp-check[20509]: info: :
hp-check[20509]: info: : Device URI Model
hp-check[20509]: info: : ------------------------------------------------ --------------------------------
hp-check[20509]: info: : hp:/usb/HP_LaserJet_Professional_P1606dn?serial= HP LaserJet Professional P1606dn
  000000000QQ0JG81PR1a
hp-check[20509]: info: :
hp-check[20509]: info: :---------------------------------
hp-check[20509]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[20509]: info: :---------------------------------
hp-check[20509]: info: :
hp-check[20509]: info: :
hp-check[20509]: info: :Deskjet-1000-J110-series
hp-check[20509]: info: :------------------------
hp-check[20509]: info: :Type: Printer
hp-check[20509]: info: :Device URI: hp:/usb/Deskjet_1000_J110_series?serial=CN14624GQ905D2
hp-check[20509]: info: :PPD: /etc/cups/ppd/Deskjet-1000-J110-series.ppd
hp-check[20509]: info: :PPD Description: HP Deskjet 1000 j110 Series, hpcups 3.11.1
hp-check[20509]: info: :Printer status: printer Deskjet-1000-J110-series disabled since Mon 19 Sep 2011 06:12:32 AM CDT -
 Unplugged or turned off

error: Unable to communicate with device (code=12): hp:/usb/Deskjet_1000_J110_series?serial=CN14624GQ905D2
error: Device not found
error: Communication status: Failed
hp-check[20509]: info: :
hp-check[20509]: info: :HP_LaserJet_Professional_P1606dn
hp-check[20509]: info: :--------------------------------
hp-check[20509]: info: :Type: Printer
hp-check[20509]: info: :Device URI: hp:/usb/HP_LaserJet_Professional_P1606dn?serial=000000000QQ0JG81PR1a
hp-check[20509]: info: :PPD: /etc/cups/ppd/HP_LaserJet_Professional_P1606dn.ppd
hp-check[20509]: info: :PPD Description: HP LaserJet Professional p1606dn, hpcups 3.11.7, requires proprietary plugin
hp-check[20509]: info: :Printer status: printer HP_LaserJet_Professional_P1606dn is idle. enabled since Mon 19 Sep 2011 07:00:20 AM CDT
 ready to print

warning: Optional plug-in status: Not installed
hp-check[20509]: info: :Communication status: Good
hp-check[20509]: info: :
hp-check[20509]: info: :
hp-check[20509]: info: :----------------------
hp-check[20509]: info: :| SANE CONFIGURATION |
hp-check[20509]: info: :----------------------
hp-check[20509]: info: :
hp-check[20509]: info: :'hpaio' in '/etc/sane.d/dll.conf'...
hp-check[20509]: info: :OK, found. SANE backend 'hpaio' is properly set up.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking output of 'scanimage -L'...
hp-check[20509]: info: :

No scanners were identified. If you were expecting something different,

check that the scanner is plugged in, turned on and detected by the

sane-find-scanner tool (if appropriate). Please read the documentation

which came with this software (README, FAQ, manpages).

hp-check[20509]: info: :
hp-check[20509]: info: :---------------------
hp-check[20509]: info: :| PYTHON EXTENSIONS |
hp-check[20509]: info: :---------------------
hp-check[20509]: info: :
hp-check[20509]: info: :Checking 'cupsext' CUPS extension...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking 'pcardext' Photocard extension...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking 'hpmudext' I/O extension...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :Checking 'scanext' SANE scanning extension...
hp-check[20509]: info: :OK, found.
hp-check[20509]: info: :
hp-check[20509]: info: :
hp-check[20509]: info: :
hp-check[20509]: info: :-----------------
hp-check[20509]: info: :| USB I/O SETUP |
hp-check[20509]: info: :-----------------
hp-check[20509]: info: :
hp-check[20509]: info: :Checking for permissions of USB attached printers...
hp-check[20509]: info: :
HP Device 0xa2a at 001:010:
hp-check[20509]: info: : Device URI: hp:/usb/HP_LaserJet_Professional_P1606dn?serial=000000000QQ0JG81PR1a
hp-check[20509]: info: : Device node: /dev/bus/usb/001/010
hp-check[20509]: info: : Mode: 0664
hp-check[20509]: info: :
hp-check[20509]: info: :---------------
hp-check[20509]: info: :| USER GROUPS |
hp-check[20509]: info: :---------------
hp-check[20509]: info: :
hp-check[20509]: info: :roger adm dialout cdrom plugdev lpadmin admin sambashare

hp-check[20509]: info: :
hp-check[20509]: info: :-----------
hp-check[20509]: info: :| SUMMARY |
hp-check[20509]: info: :-----------
hp-check[20509]: info: :
error: 2 errors and/or warnings.
hp-check[20509]: info: :
hp-check[20509]: info: :Please refer to the installation instructions at:
hp-check[20509]: info: :http://hplip.sourceforge.net/install/index.html

hp-check[20509]: info: :
hp-check[20509]: info: :Done.

Please disregard hp 1000 info. I know what its problem is.
What do I do about digital signature not matching?
I am a newbie, please use small words and be verbose in instructions.
Thank You

Best Sanjay Kumar (sanjay-kumar14) said : #1

Hi,

Please find the plugin for HPLIP at http://hplipopensource.com/hplip-web/plugin_download.html
Steps for installing the plugin are also provided there. Sorry for the inconvenience caused.

Thanks,
Sanjay

Roger Smith (rsmith-5) said : #2

Thanks Sanjay Kumar, that solved my question.

This does not work anymore, openprinting has ben down for ages, and I can't find the plugin for the latest release anywhere..